챌린지용 새 OTP 생성
이 API는 지정된 챌린지에 대한 새 일회용 비밀번호(OTP)를 생성하는 데 사용됩니다.
Authorization
api-key In: header
Header Parameters
Optional header for Account System Products to perform cross-product age gate checks. The value must be the product ID of the target product within the same organization. The target product must not itself be an Account System Product.
Request Body
application/json
챌린지 상태 설정 요청
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/json
curl -X POST "https://example.com/challenge/generate-otp" \ -H "Content-Type: application/json" \ -d '{ "challengeId": "b1a6482d-5242-4b4a-aa88-3fa52595a672" }'{ "otp": "123ABC", "expiresAt": "2022-12-31T23:59:59Z", "url": "https://example.com/challenge"}{ "error": "NOT_FOUND", "errorMessage": "Challenge not found"}챌린지 일괄 생성 POST
한 명의 플레이어에 대해 여러 제품의 보호자 동의 챌린지를 한 번에 생성합니다. 이를 통해 한 번의 보호자 상호작용으로 제품군 전체를 처리할 수 있습니다. 응답에는 요청한 제품별 챌린지가 담깁니다. 단일 챌린지와 마찬가지로, 챌린지가 통과하거나 실패하면 `oneTimePassword`와 `url`은 생략됩니다.
챌린지 상태 가져오기 GET
챌린지의 결과를 반환하며, 보호자의 조치를 기다리는 동안 폴링하는 엔드포인트입니다. `/age-gate/check`가 `CHALLENGE`를 반환한 후에 호출하십시오. `PASS`가 보고되면 이어서 `/session/get`을 호출하여 이제 `ACTIVE`가 된 세션과 부여된 권한을 조회하십시오. `FAIL`은 챌린지가 확정되어 더 이상 진행되지 않음을 의미합니다.